Bug 60680 - C# 7 ref returns fail to compile
Summary: C# 7 ref returns fail to compile
Status: RESOLVED FIXED
Alias: None
Product: Compilers
Classification: Mono
Component: C# (show other bugs)
Version: master
Hardware: PC Windows
: --- normal
Target Milestone: ---
Assignee: Marek Safar
URL:
Depends on:
Blocks:
 
Reported: 2017-11-14 18:40 UTC by Jonathan Chambers
Modified: 2018-01-05 13:27 UTC (History)
2 users (show)

See Also:
Tags: bugpool-archive
Is this bug a regression?: ---
Last known good build:


Attachments
Test Case (1.58 KB, text/plain)
2017-11-14 18:40 UTC, Jonathan Chambers
Details

Description Jonathan Chambers 2017-11-14 18:40:43 UTC
Created attachment 25707 [details]
Test Case

csc compiles fine

mcs 

Class1.cs(70,22): error CS0029: Cannot implicitly convert type `ref ClassLibrary1.C.Val' to `ClassLibrary1.C.Val'
Class1.cs(73,25): error CS0029: Cannot implicitly convert type `ref ClassLibrary1.C.Val' to `ClassLibrary1.C.Val'
Class1.cs(85,22): error CS0029: Cannot implicitly convert type `ref ClassLibrary1.C.Val' to `ClassLibrary1.C.Val'
Class1.cs(88,25): error CS0029: Cannot implicitly convert type `ref ClassLibrary1.C.Val' to `ClassLibrary1.C.Val'
Compilation failed: 4 error(s), 0 warnings
Comment 1 Marek Safar 2017-11-20 11:31:14 UTC
Fixed in master

https://github.com/mono/mono/pull/6041

Note You need to log in before you can comment on or make changes to this bug.